MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029950Community[OCCT] OCCT:Visualizationpublic2018-07-12 09:212020-11-23 11:03
ReporterMatthias 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0029950: Visualization - AIS_Trihedron.SetDatumPartColor doesn't work for arrows
DescriptionWith the method AIS_Trihedron.SetDatumPartColor one can set colors of the trihedron's origin and axes, but not of the arrows. Therefor coloring each axis including its arrow with an individual color is currently not possible.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0027958closedbugmaster Open CASCADE Visualization, AIS_Trihedron - add shaded presentation option 
related to 0031729verifiedbugmaster Community Visualization, Prs3d_DatumAspect - provide per axis text aspects 

-  Notes
(0077492)
kgv (developer)
2018-07-12 09:58

What is wrong with AIS_Trihedron::SetArrowColor()?

When registering an issue, please don't forget to specify "Product Version".
(0077495)
Matthias (developer)
2018-07-12 10:09

AIS_Trihedron::SetArrowColor() sets one color for all arrows. Setting an individual color for each arrow isn't possible. Furthermore, the specified color is only recognized in wireframe mode.

PS: Product Version is 7.3.0 (not listed under "Product Version")
(0096611)
kgv (developer)
2020-11-09 09:57

Patch for 0031729 handles also arrow color.
(0096989)
kgv (developer)
2020-11-21 15:11

Dear bugmaster, please switch this issue to VERIFIED state (fixed in scope of 0031729).

- Issue History
Date Modified Username Field Change
2018-07-12 09:21 Matthias New Issue
2018-07-12 09:21 Matthias Assigned To => kgv
2018-07-12 09:58 kgv Note Added: 0077492
2018-07-12 09:58 kgv Assigned To kgv => Matthias
2018-07-12 09:58 kgv Status new => feedback
2018-07-12 10:09 Matthias Note Added: 0077495
2018-07-12 10:10 Matthias Assigned To Matthias => kgv
2018-07-12 10:17 kgv Summary AIS_Trihedron.SetDatumPartColor doesn't work for arrows => Visualization - AIS_Trihedron.SetDatumPartColor doesn't work for arrows
2018-07-12 10:20 kgv Product Version => 7.3.0
2018-07-12 11:03 kgv Relationship added related to 0027958
2018-07-12 11:04 kgv Assigned To kgv => nds
2018-07-12 11:04 kgv Status feedback => assigned
2019-12-26 15:33 bugmaster Assigned To nds => sshutina
2020-08-21 16:07 kgv Relationship added related to 0031729
2020-11-09 09:57 kgv Note Added: 0096611
2020-11-09 09:57 kgv Assigned To sshutina => kgv
2020-11-09 09:57 kgv Target Version => 7.6.0*
2020-11-21 15:11 kgv Note Added: 0096989
2020-11-21 15:11 kgv Assigned To kgv => bugmaster
2020-11-21 15:11 kgv Status assigned => feedback
2020-11-21 15:11 kgv Resolution open => fixed
2020-11-23 11:03 bugmaster Status feedback => verified


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker